%define fname church
%define type1fonts %_datadir/fonts/default/Type1-%fname

Name: %fname-fonts
Version: 20030330
Release: alt1

Summary: Free Church Slavonic Type1 fonts
Summary (ru_RU.KOI8-R):  -  Type1
License: Artistic
Group: System/Fonts/Type1
Url: http://irmologion.narod.ru/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-type1.tar.bz2

BuildArch: noarch

PreReq: chkfontpath fontconfig

%description
This Package provides a free Church Slavonic Type1 fonts
from Irmologion project.

%description -l ru_RU.KOI8-R
    -
 Type1  .

%prep
%setup -q -n %name-type1

%install
mkdir -p $RPM_BUILD_ROOT%type1fonts
install -p -m644 *.afm *.pfb $RPM_BUILD_ROOT%type1fonts

pushd $RPM_BUILD_ROOT%type1fonts
	mkfontdir .
popd

ln -s %_sysconfdir/X11/encodings.dir $RPM_BUILD_ROOT%type1fonts/encodings.dir

%post
%_bindir/fc-cache
/usr/sbin/chkfontpath -q -a %type1fonts ||:
if [ -x /usr/bin/gnome-font-install ]; then
  perl %{_datadir}/fonts/run-gnome-font-install \
	%{_bindir}/gnome-font-install %{_datadir} %{_datadir} > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi  

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %type1fonts ||:
fi

%files
%dir %type1fonts
%config(noreplace) %type1fonts/fonts.dir
#%config(noreplace) %type1fonts/fonts.scale
#%config(noreplace) %type1fonts/font.map
%type1fonts/*.afm
#%type1fonts/*.pfm
%type1fonts/*.pfb
%type1fonts/encodings.dir
%doc AUTHORS ChangeLog README*

%changelog
* Thu Apr 03 2003 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt1
- first ALTLinux build

